/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jan 28, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.uvos.webapp.actions.appform;

import java.io.Serializable;
import java.util.List;

/**
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class AppFormData implements Serializable
{
	private List<String> accepted;
	private List<String> isCSR;
	private List<String> additionalGroups;
	private List<String> additionalAttrs;
	private String idFormat = "0";
	private String idFormatName;
	private String email;
	private String institution;
	private String phone;
	private String notes;

	public String getNotes()
	{
		return notes;
	}

	public void setNotes(String notes)
	{
		this.notes = notes;
	}

	public List<String> getAdditionalAttrs()
	{
		return additionalAttrs;
	}

	public void setAdditionalAttrs(List<String> additionalAttrs)
	{
		this.additionalAttrs = additionalAttrs;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public List<String> getAccepted()
	{
		return accepted;
	}

	public void setAccepted(List<String> accepted)
	{
		this.accepted = accepted;
	}

	public List<String> getAdditionalGroups()
	{
		return additionalGroups;
	}

	public void setAdditionalGroups(List<String> additionalGroups)
	{
		this.additionalGroups = additionalGroups;
	}

	public String getIdFormat()
	{
		return idFormat;
	}

	public void setIdFormat(String idFormat)
	{
		this.idFormat = idFormat;
	}

	public String getInstitution()
	{
		return institution;
	}

	public void setInstitution(String institution)
	{
		this.institution = institution;
	}

	public String getPhone()
	{
		return phone;
	}

	public void setPhone(String phone)
	{
		this.phone = phone;
	}

	public String getIdFormatName()
	{
		return idFormatName;
	}

	public void setIdFormatName(String idFormatName)
	{
		this.idFormatName = idFormatName;
	}

	public List<String> getIsCSR()
	{
		return isCSR;
	}

	public void setIsCSR(List<String> isCSR)
	{
		this.isCSR = isCSR;
	}

}
