/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jan 30, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.uvos.webapp.actions.idform;

import java.io.Serializable;

/**
 * @author K. Benedyczak
 */
@SuppressWarnings("serial")
public class IdFormData implements Serializable
{
	private String identityType;
	private String caCert;
	private String caCertError;
	
	private String email;
	private String passwd1;
	private String passwd2;
	
	private String idCert;
	private String idCertError;
	
	private String idDN;

	public String getCaCert()
	{
		return caCert;
	}

	public void setCaCert(String caCert)
	{
		this.caCert = caCert;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public String getIdCert()
	{
		return idCert;
	}

	public void setIdCert(String idCert)
	{
		this.idCert = idCert;
	}

	public String getIdDN()
	{
		return idDN;
	}

	public void setIdDN(String idDN)
	{
		this.idDN = idDN;
	}

	public String getIdentityType()
	{
		return identityType;
	}

	public void setIdentityType(String identityType)
	{
		this.identityType = identityType;
	}

	public String getPasswd1()
	{
		return passwd1;
	}

	public void setPasswd1(String passwd1)
	{
		this.passwd1 = passwd1;
	}

	public String getPasswd2()
	{
		return passwd2;
	}

	public void setPasswd2(String passwd2)
	{
		this.passwd2 = passwd2;
	}

	public String getCaCertError()
	{
		return caCertError;
	}

	public void setCaCertError(String caCertError)
	{
		this.caCertError = caCertError;
	}

	public String getIdCertError()
	{
		return idCertError;
	}

	public void setIdCertError(String idCertError)
	{
		this.idCertError = idCertError;
	}
	
	
}
