/*
 * Copyright (c) 2007, 2008 ICM Uniwersytet Warszawski All rights reserved.
 * See LICENCE file for licencing information.
 *
 * Created on Jan 28, 2008
 * Author: K. Benedyczak <golbi@mat.umk.pl>
 */

package pl.edu.icm.uvos.webapp.data;

import java.util.List;

import pl.edu.icm.unicore.uvos.api.VOApplication;
import pl.edu.icm.unicore.uvos.api.VOApplicationForm;
import pl.edu.icm.unicore.uvos.api.exceptions.InternalException;
import pl.edu.icm.unicore.uvos.api.exceptions.SecurityException;
import pl.edu.icm.unicore.uvos.api.exceptions.VOApplicationException;

/**
 * @author K. Benedyczak
 */
public interface DataStore
{
	public List<VOApplicationForm> getApplicationForms() 
		throws SecurityException, InternalException;
	public VOApplicationForm getApplicationFormById(int id) 
		throws SecurityException, InternalException;
	public void submitApplication(VOApplication application) 
		throws SecurityException, InternalException, VOApplicationException;
}
