<#include "header.ftl">
<#escape x as x?html>

<h2> ${form.name} </h2>

<div class="info">
Please verify if all the details were entered correctly.
</div>
<hr>

<div class="group">
<table style="vertical-align:top; font-family:arial,verdana,tahoma,helvetica; font-size: small; border-spacing: 20px 5px;">
<tr>

<td class="desc" style="width: 30%; vertical-align: top;">
Your identity format is: 
</td><td>
<#if application.selectedFormat == "urn:unicore:idType:X509Certificate">
	X.509 certificate
<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName">
	distinguished name (DN) of X.509 certificate
<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress">
	email address
</#if>

</td></tr><tr>

<td class="desc">
Your identity is:
</td><td>
<#if app1FormData.isCSR?? && app1FormData.isCSR?size gt 0>
	X.509 certificate signing request (CSR) with DN: ${app2FormData.idDN}
<#elseif application.selectedFormat == "urn:unicore:idType:X509Certificate">
	${app2FormData.idDN}
<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:X509SubjectName">
	${app2FormData.idDN}
<#elseif application.selectedFormat == "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress">
	${app2FormData.email}
</#if>

</td></tr><tr>
<td class="desc">
You apply for joining: 
</td><td>
${form.baseGroup}
</td></tr><tr>
<td class="desc">
Contact email address: 
</td><td>
	<#if app1FormData.email?length gt 0>
		${app1FormData.email}
	<#else>
		[the same as in identity]
	</#if><br/>
</td></tr><tr>

<td class="desc">
Phone number: 
</td><td>
	<#if app1FormData.phone?length gt 0>
		${app1FormData.phone}
	<#else>
		-
	</#if>		
</td></tr><tr>

<td class="desc">
Institution:
</td><td>
	<#if app1FormData.institution?length gt 0>
		${app1FormData.institution}
	<#else>
		-
	</#if>	
</td></tr><tr>
<td class="desc"  style="width: 27%; vertical-align: top;">
	Notes for the VO administrator:
</td><td>
<#if app1FormData.notes?length gt 0>
	${app1FormData.notes}
<#else>
	-
</#if>
</td></tr>
</table>
</div>
</#escape> 

<div class="buttons">
<form action="${flowExecutionUrl}" method="POST">
	<input type="submit" class="button" name="_eventId_cancel" value="Cancel" />
	<input type="submit" class="button" name="_eventId_back" value="Back" />
	<input type="submit" class="button" name="_eventId_proceed" value="Confirm" />
</form>
</div>
<#include "footer.ftl">